FruxonDocs
AgentsRevisions

Creates a new agent revision.

Creates a draft revision with the specified configuration. The revision is not active until deployed via the deploy endpoint.

POST
/v1/tenants/{tenant}/agents/{agent}/revisions

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

The revision configuration.

comment?string|null
subAgents?|null
flow?
connectors?|null
integrationConfigs?|null
llmConfigs?|null
assets?|null
jobPolicyConfigs?|null
useSession?boolean
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/revisions" \  -H "Content-Type: application/json" \  -d '{}'
{
  "agentId": "string",
  "agentRevision": 0,
  "comment": "string",
  "parametersMetadata": [
    {
      "name": "string",
      "index": 0,
      "type": "String",
      "typeName": "string",
      "integerRange": {
        "min": 0,
        "max": 0
      },
      "floatRange": {
        "min": 0,
        "max": 0
      },
      "options": [],
      "asset": {
        "providers": null,
        "contentTypes": null,
        "vectorized": false
      },
      "displayName": "string",
      "description": "string",
      "required": false,
      "secret": false,
      "defaultValue": "string",
      "jsonSchema": "string",
      "uiHint": "Code",
      "rules": []
    }
  ],
  "subAgents": [
    {
      "id": "string",
      "slug": "string",
      "integrationId": "sub_agent",
      "agentId": "string",
      "displayName": "string",
      "description": "string",
      "toolType": "SubAgent",
      "actionType": "ReadOnly",
      "resultType": "String",
      "authSettings": {
        "supportsOAuth": false,
        "oAuth": []
      },
      "flow": {
        "steps": [],
        "edges": []
      },
      "parametersMetadata": [],
      "useSession": false,
      "avatarFileId": "string"
    }
  ],
  "flow": {
    "steps": [],
    "edges": [
      {
        "source": "string",
        "target": "string"
      }
    ]
  },
  "connectors": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "agentId": "string",
      "agentRevision": 0,
      "provider": "string",
      "parameters": {},
      "active": false,
      "policy": "AllowAll",
      "onBoardingMessage": "string",
      "createdAt": 0,
      "modifiedAt": 0
    }
  ],
  "integrationConfigs": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "integrationId": "string",
      "displayName": "string",
      "parameters": {},
      "auth": {
        "integrationAuthMetadataId": "string",
        "parameters": null
      },
      "authMap": []
    }
  ],
  "llmConfigs": [
    {
      "providerId": "string",
      "parameters": {}
    }
  ],
  "assets": [
    {
      "id": "string",
      "displayName": "string",
      "contentType": "string",
      "assetType": 0,
      "vectorized": false,
      "link": "string"
    }
  ],
  "jobPolicyConfigs": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "tenantId": "00000000-0000-0000-0000-000000000000",
      "createdAt": 0,
      "modifiedAt": 0,
      "agentId": "string",
      "agentRevision": 0,
      "scheduleFrequency": "daily",
      "scheduleDay": "sunday",
      "scheduleDayOfMonth": "_1",
      "scheduleHour": "string",
      "scheduleMinute": "string",
      "timezone": "string",
      "timeout": 0,
      "prompt": "string"
    }
  ],
  "useSession": false
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}